Kreslení Drát (Lomená čára)

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Wire and the translation is 9% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Kreslení Drát

Umístění Menu
Kreslení -> Drát
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
W I
Představen ve verzi
-
Viz také
Kreslení Přímka, Kreslení B-křivka


Popis

Nástroj Drát vytváří lomenou čáru (sekvenci přímek z několika segmentů) v aktuální pracovní rovině. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů. Nástroj Drát se chová přesně stejně jako nástroj Přímka kromě toho, že nekončí po zadání dvou bodů.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Draft Polyline example.jpg

Wire defined by multiple points


Použití

  1. Stiskněte tlačítko Draft Wire.png Drát nebo klávesy W potom I
  2. Klikněte na první bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Klikněte na další bod ve 3D pohledu nebo zadejte jeho souřadnice
  4. Stiskněte klávesu F nebo C nebo dvojklikněte na poslední bod pro ukončení nebo uzavření drátu. Je-li drát uzavřen, bude zároveň i povrchem i když se jeví jako drátový model.

The wire can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Fuse single lines

If several connected Draft Lines are selected when pressing the Draft Wire.svg Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Volby

  • Stiskněte klávesu F nebo tlačítko Draft FinishLine.png UkončitČáru pro ukončení drátu a ponechání jej otevřený
  • Stiskněte klávesu C nebo tlačítko Draft CloseLine.png UzavřítČáru nebo klikněte na první bod drátu. Tím se drát ukončí a uzavře se doplněním posledního (uzavíracího) segmentu mezi posledním a počátečním bodem.
  • Stisknutím klávesy X, Y nebo Z po zadání bodu zajistíte, že následující bod bude ležet na dané ose.
  • Pro ruční zadávání souřadnic jednoduše zadávejte čísla a mezi každou komponentou X, Y a Z stiskněte ENTER
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj Drát bude po ukončení drátu restartován a připraven ke kreslení dalšího drátu bez nutnosti znovu jej spouštět klikáním na tlačítko Drát.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stiskněte klávesu W nebo stiskněte tlačítko Draft Wipe.png Smaž pro odstranění existujících segmentů a začněte křivku z posledního bodu.
  • Stiskněte klávesy CTRL+Z nebo tlačítko Draft UndoLine.png Undo k návratu na poslední bod.
  • Stiskněte klávesu I nebo tlačítko Filled aby se drát po jeho uzavření zobrazoval jako plocha. To jednoduše nastavuje Pohled->Vlastnost Drát na "Otevřené čáry" nebo "Drátový model", toto také může být snadno změněno později.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu Drát.

Vlastnosti

  • DATAUzavřen: Specifikuje zda je drát uzavřen nebo ne
  • DATAPoloměr zaoblení: Specifikuje poloměr zaoblení ve spojích drátu
  • VIEWKoncová šipka: Ukazuje symbol šipky na koncovém bodě drátu, takže ten může být použit jako linka pro vysvělivku

Data

  • DATAStart: specifies the first point in the wire.
  • DATAEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DATAClosed: specifies if the wire is closed or not. If the wire is initially open, this value is False; setting it to True will draw a line segment to close the wire. If the wire is initially closed, this value is True; setting it to False will remove the last line segment, and make the wire open.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DATAMake Face: specifies if the wire makes a face or not. If it is True a face is created, otherwise only the edges are considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the wire intersects itself, as it won't create a proper face.
  • DATASubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DATALength: (read-only) specifies the length of the entire wire.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj Drát může být využit v makrech a z konzoly Pythonu použitím následující funkce:

See also: Draft API and FreeCAD Scripting Basics.

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Vytvoří objekt Drát podle zadaného seznamu vektorů bodů nebo podle Drát (Part Wire).
  • Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.
  • Je-li face (plocha) True (a drát je uzavřen), bude se drát jevit jako vyplněná plocha.
  • Je použita aktuálně nastavená tloušťka čáry a barva čáry.
  • Vrací nově vytvořený objekt.

Příklad:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg